#pragma once

#include <QQuickView>
#include <QtGui/qwindow.h>
#include <qobject.h>
#include <qtmetamacros.h>

class PlayerAreaModel : public QObject
{
    Q_OBJECT
    QML_ELEMENT

    Q_PROPERTY(QString playerName1 READ playerName1 WRITE setPlayerName1 NOTIFY playerName1Changed)
    Q_PROPERTY(QString playerName2 READ playerName2 WRITE setPlayerName2 NOTIFY playerName2Changed)
    Q_PROPERTY(QString playerName3 READ playerName3 WRITE setPlayerName3 NOTIFY playerName3Changed)
    Q_PROPERTY(QString playerName4 READ playerName4 WRITE setPlayerName4 NOTIFY playerName4Changed)
    Q_PROPERTY(QString playerName5 READ playerName5 WRITE setPlayerName5 NOTIFY playerName5Changed)
    Q_PROPERTY(QString playerName6 READ playerName6 WRITE setPlayerName6 NOTIFY playerName6Changed)
    Q_PROPERTY(QString playerName7 READ playerName7 WRITE setPlayerName7 NOTIFY playerName7Changed)

public:
    explicit PlayerAreaModel(QObject *parent = nullptr);
    QString playerName1();
    QString playerName2();
    QString playerName3();
    QString playerName4();
    QString playerName5();
    QString playerName6();
    QString playerName7();
    void setPlayerName1(QString s);
    void setPlayerName2(QString s);
    void setPlayerName3(QString s);
    void setPlayerName4(QString s);
    void setPlayerName5(QString s);
    void setPlayerName6(QString s);
    void setPlayerName7(QString s);

signals:
    void playerName1Changed();
    void playerName2Changed();
    void playerName3Changed();
    void playerName4Changed();
    void playerName5Changed();
    void playerName6Changed();
    void playerName7Changed();

private:
    QString playerName1Text;
    QString playerName2Text;
    QString playerName3Text;
    QString playerName4Text;
    QString playerName5Text;
    QString playerName6Text;
    QString playerName7Text;
};

